# Class SchemaReceiverLoader

java.lang.Object
com.thaiopensource.validate.auto.SchemaReceiverLoader

All Implemented Interfaces:
  `SchemaReceiverFactory`

public class SchemaReceiverLoader extends Object implements SchemaReceiverFactory

- ## Field Summary

  ### Fields inherited from interface com.thaiopensource.validate.auto.SchemaReceiverFactory

  `PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaReceiverLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaReceiver`
  `createSchemaReceiver(String namespaceUri, PropertyMap properties)`
  `Option`
  `getOption(String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SchemaReceiverLoader

    public SchemaReceiverLoader()

- ## Method Details

  - ### createSchemaReceiver

    public SchemaReceiver createSchemaReceiver(String namespaceUri, PropertyMap properties)
    Specified by:
      `createSchemaReceiver` in interface `SchemaReceiverFactory`

  - ### getOption

    public Option getOption(String uri)
    Specified by:
      `getOption` in interface `SchemaReceiverFactory`